%global goipath         github.com/tdewolff/parse
Version:                2.3.9

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go parsers for web formats
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/tdewolff/test)

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%forgesetup

# Use unversioned import path until Go modules are supported in Fedora
sed -i -e 's|"github.com/tdewolff/parse/v2|"github.com/tdewolff/parse|' $(find . -name '*.go')


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE.md

%changelog
* Fri Aug 30 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.9-1
- Update to latest version

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.8-1
- Update to latest version

* Fri May 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.7-1
- Update to latest version

* Mon Apr 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.6-1
- Update to latest version

* Sat Mar 02 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.5-2
- Use unversioned import path until Go modules are supported in Fedora

* Sun Feb 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.5-1
- First package for Fedora
